summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-03-22 01:13:25 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-03-22 01:13:25 +0300
commit8f45e5175e0319dac8e130e43197427320aa0341 (patch)
treed1ab81cbff2e9d3c6722e091204ce22d07b4a165
parentnet-fs/minio: Version bump (diff)
downloadgentoo-8f45e5175e0319dac8e130e43197427320aa0341.tar.gz
gentoo-8f45e5175e0319dac8e130e43197427320aa0341.tar.bz2
gentoo-8f45e5175e0319dac8e130e43197427320aa0341.zip
net-fs/mc: Version bump
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
-rw-r--r--net-fs/mc/Manifest1
-rw-r--r--net-fs/mc/mc-2019.03.20.21.29.03.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/net-fs/mc/Manifest b/net-fs/mc/Manifest
index 69c2bbf0c3c..fae13f5cbde 100644
--- a/net-fs/mc/Manifest
+++ b/net-fs/mc/Manifest
@@ -7,3 +7,4 @@ DIST mc-2019.02.20.22.21.50.tar.gz 3007023 BLAKE2B 0cb7d1ab4a9314e951204e6710aa8
DIST mc-2019.02.27.18.44.28.tar.gz 3007123 BLAKE2B bbb382f48b5744e0ebef6848d2d419096f2aa40fe1a7ede4cf692befac83c2df20bade05605d2aee59d50267e67993c8cd69c7b99d677c733af9aa3ca29e047a SHA512 00b97009e8f69a24f8222c47af3dadf2d8750e7247afe6ea89aecd9e97994cac256aac9e5226f815e228912ee6fe92ab78ef64b2b87edd6cf4eb0c6f236cf72f
DIST mc-2019.03.06.18.41.35.tar.gz 3060998 BLAKE2B 8ce267ebeb132aae1ab2681d7fcaeb557f7822cc518153cb001dfbde9d968ab0056ed52b01cdeb44d1112ea2ce233877751f205661cd7d53c6640bea533b131c SHA512 b0b5aa99aaaf8858fcf2884154bc7e293a618e88a13a8ea4c3671c4d187d8628a1ce9b190895db09520a0af452be1125e7cd5158373467f14e7fbe771199c9db
DIST mc-2019.03.09.00.30.31.tar.gz 3061079 BLAKE2B 528c3e8b20af8c77c256dbb25cee0c79691e6575f9739788927bd8b023fb2fe492fb1186f144f3abf1132b3b7375c649940b40c63f59dcbc7436cff9603fdd6d SHA512 28aa906be58afd85a5d5afd8458f5a200270d8bf4caad90484ee6335ce5033c910369a212f47272d6f7bcbb6aaa78fc35f3307da5e8bad3268ba737f8791f4c6
+DIST mc-2019.03.20.21.29.03.tar.gz 3068226 BLAKE2B 9659aa05931c28f054d639a8850692a77e81d75c1a86af9e7887fc492bdcb30c0e3582d42495a443945f1c89f691989d8e67d479cef4f1c1ebc82fde63b3f444 SHA512 ce4aad970b6f41bf06423a414ffc3396257c37654b9f7e10d6994e4adbacb0ba5b5fc94412e1d420429333e341ff2f76172d1a6ce978612f09f7ff37547d8d06
diff --git a/net-fs/mc/mc-2019.03.20.21.29.03.ebuild b/net-fs/mc/mc-2019.03.20.21.29.03.ebuild
new file mode 100644
index 00000000000..927f40765b1
--- /dev/null
+++ b/net-fs/mc/mc-2019.03.20.21.29.03.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eapi7-ver golang-build golang-vcs-snapshot
+
+MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
+MY_PV=${MY_PV//./-}
+
+EGIT_COMMIT="c352cadd4be2c6bed64884c78d1e8a8ac6efaf3f"
+
+EGO_PN="github.com/minio/mc"
+
+DESCRIPTION="Minio client provides alternatives for ls, cat on cloud storage and filesystems"
+HOMEPAGE="https://github.com/minio/mc"
+SRC_URI="https://${EGO_PN}/archive/RELEASE.${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="!!app-misc/mc"
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${VERSION}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+
+}
+
+src_compile() {
+ unset XDG_CACHE_HOME
+
+ pushd src/${EGO_PN} || die
+ MC_RELEASE="${MY_PV}"
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md docs
+ dobin mc
+ popd || die
+}